@import "../components/_badge-tNKC2VI.css";
@import "../components/_card-UEdRkHt.css";
@import "../components/_form-afGafjG.css";
@import "../components/_aside-IEsJr9o.css";
@import "../components/_pagination--VjAzeJ.css";
@import "../components/_accordion-pNPZqXg.css";


#page.catalog.list .loading {
  opacity: 0.5;
}
#page.catalog.list section:has([data-action="modal#open"]) {
  display: none;
}
#page.catalog.list aside [data-action="modal#close"].button {
  display: none;
}
#page.catalog.list aside select {
  min-width: 15em;
}
#page.catalog.list aside select {
  min-width: 15em;
}
#page.catalog.list aside select ~ .button-input {
  --background-button: var(--background-fieldset);
  --color-button: var(--color-fieldset);
  border: none;
}
#page.catalog.list aside > .column > * {
  width: 100%;
  justify-content: flex-start;
}
#page.catalog.list aside > .column > * .accordion__intro,
#page.catalog.list aside > .column > * .accordion__content,
#page.catalog.list aside > .column > * .accordion__content .row {
  width: 100%;
}
#page.catalog.list aside > .column > * .accordion__content {
  max-height: 40vh;
  overflow-y: auto;
  scrollbar-width: thin;
}
@media screen and (max-width: 1280px) {
  #page.catalog.list .grid-elements.grid-4 {
    --grid-col: 4;
  }
}
@media screen and (max-width: 1024px) {
  #page.catalog.list .grid-elements.grid-4 {
    --grid-col: 3;
  }
}
@media screen and (max-width: 768px) {
  #page.catalog.list .grid-elements.grid-4 {
    --grid-col: 2;
  }
}
#page.catalog.show {
  padding-bottom: 0;
}
#page.catalog.show section + section {
  margin-top: 0;
}
#page.catalog.show .breadcrumb {
  --color-breadcrumb: var(--primary);
  padding: var(--space-m) 0;
}
#page.catalog.show .price {
  font-size: var(--font-l);
}
#page.catalog.show .price.ancien-prix {
  font-size: var(--font-m);
  color: var(--text-color);
  font-variation-settings: "wght" 600;
  opacity: 0.7;
  text-decoration-line: line-through;
}
#page.catalog.show .price.prix-promo {
  color: var(--accent-color);
}
#page.catalog.show .info-product {
  display: flex;
  flex-direction: row-reverse;
  gap: 1rem;
  padding-bottom: var(--space-l);
}
#page.catalog.show .info-product .description-product {
  gap: var(--space-l);
  background-color: var(--white);
  border-radius: var(--radius);
  box-shadow: var(--shadow);
  padding: var(--space-l);
  width: 40%;
  margin-bottom: var(--space-m);
}
#page.catalog.show .info-product .description-product .title-banner {
  color: var(--primary);
  display: flex;
  flex-direction: column-reverse;
  gap: var(--space-s);
}
#page.catalog.show .info-product .description-product .reassurance {
  --text-reassurance: var(--blue-800);
  background-color: var(--blue-50);
  border: 1px solid var(--blue-200);
  padding: 1rem;
  border-radius: var(--radius);
  font-size: var(--font-s);
  color: var(--text-reassurance);
}
#page.catalog.show .info-product .description-product .reassurance svg.icon {
  --color-svg: var(--text-reassurance);
}
#page.catalog.show .info-product .description-product .reassurance .row {
  gap: var(--space-s);
  flex-flow: row;
}
#page.catalog.show .info-product .description-product .reassurance .row p {
  width: 90%;
}
#page.catalog.show .info-product .description-product h4.h4 {
  color: var(--primary);
}
#page.catalog.show .info-product .description-product .table-product > *:nth-child(even) {
  background-color: var(--white);
}
#page.catalog.show .info-product .description-product .table-product .row {
  justify-content: space-between;
  padding: var(--space-s);
}
#page.catalog.show .info-product .image-product {
  width: 60%;
}
#page.catalog.show .info-product .image-product .grid-elements > div:only-of-type {
  --grid-col: 1;
}
#page.catalog.show .info-product .image-product picture {
  aspect-ratio: 1/1;
  border-radius: var(--radius);
  overflow: hidden;
  isolation: isolate;
}
#page.catalog.show .info-product .image-product picture:hover, #page.catalog.show .info-product .image-product picture:focus {
  cursor: zoom-in;
}
#page.catalog.show .info-product .image-product picture img {
  object-fit: cover;
}
#page.catalog.show section:has([data-swiper-type-value=product]) {
  background-color: var(--white);
  padding: var(--space-xl) 0;
}

@media screen and (max-width: 1024px) {
  html:has(aside.open) {
    overflow: clip;
  }
  #page.catalog.list section:has([data-action="modal#open"]) {
    display: block;
  }
  #page.catalog.list aside {
    position: fixed;
    z-index: 100;
    max-width: 100%;
    height: 100vh;
    top: 0;
    right: 0;
    transform: translateX(100%);
    transition: transform 0.3s ease;
    width: 40em;
    box-shadow: var(--shadow-hover);
    border: none;
  }
  #page.catalog.list aside.open {
    transform: translateY(0);
  }
  #page.catalog.list aside [data-action="modal#close"].button {
    display: flex;
  }
  #page.catalog.list .grid-elements {
    width: 100%;
  }
  #page.catalog.show [data-swiper-type-value=swiper-thumbs] {
    display: block;
    visibility: visible;
    pointer-events: auto;
  }
  #page.catalog.show [data-swiper-type-value=swiper-thumbs] [data-swiper-target=container] {
    background-color: var(--tertiary);
  }
  #page.catalog.show .info-product {
    margin-top: 1rem;
    display: flex;
    flex-direction: column-reverse;
    gap: 1rem;
  }
  #page.catalog.show .info-product > *,
  #page.catalog.show .info-product .description-product {
    width: 100%;
  }
  #page.catalog.show .info-product .image-product {
    display: none;
    visibility: hidden;
    pointer-events: none;
  }
}